com.intellectualsites.translation.bukkit

## Class BukkitTranslation

- java.lang.Object
- - com.intellectualsites.translation.bukkit.BukkitTranslation

-     public class BukkitTranslation
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BukkitTranslation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addMaterials(TranslationManager manager)` Add material names to the translation list Will default to a somewhat friendly name
    `static java.lang.String` | `convert(TranslationAsset asset)` Get the converted string
    `TranslationLanguage` | `getDefaultLanguage()` The default translation language
    `static java.io.File` | `getParent(org.bukkit.plugin.java.JavaPlugin plugin)` Get the universal parent based on the plugin data folder

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BukkitTranslation

          public BukkitTranslation()

  - ### Method Detail

    - #### convert

          public static java.lang.String convert(TranslationAsset asset)

      Get the converted string
      Parameters:
        `asset` - asset
      Returns:
        converted asset

    - #### getParent

          public static java.io.File getParent(org.bukkit.plugin.java.JavaPlugin plugin)

      Get the universal parent based on the plugin data folder
      Parameters:
        `plugin` - to check
      Returns:
        parent folder

    - #### getDefaultLanguage

          public TranslationLanguage getDefaultLanguage()

      The default translation language
      Returns:
        default translation language

    - #### addMaterials

          public static void addMaterials(TranslationManager manager)

      Add material names to the translation list Will default to a somewhat friendly name